<template>
  <main>
    <NavBar v-if="$route.name != 'login'"></NavBar>
    <router-view class="content" />
  </main>
  <div class="loading-screen" v-if="loading">
    <LoadingAnimation></LoadingAnimation>
  </div>
</template>

<script>
//import store from "./store/auth.js";
import { mapGetters } from "vuex";
import LoadingAnimation from "./components/atoms/LoadingAnimation.vue";
import NavBar from "./components/organisms/NavBar.vue";

export default {
  components: { LoadingAnimation, NavBar },
  created() {},
  computed: {
    ...mapGetters({ loading: "general/isLoading" }),
  },
};
</script>

<style lang="scss">
@import "./assets/css/base.css";
@import "./assets/css/colors.css";
.loading-screen {
  display: flex;
  justify-content: center;
  align-items: center;

  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;

  background-color: rgba(255, 255, 255, 0.699);
}
main {
  transition: all 500ms;
  display: flex;
  flex-direction: row;
  height: 100vh;
  width: 100vw;
  .content {
    width: 100%;
    position: absolute;
    height: 100%;
    @media (min-width: 1240px) {
      left: 19rem;
      width: calc(100vw - 19rem);
    }
  }
  .navigation {
    position: fixed;
    left: 0;
  }
}
</style>
